Hi,
first steps with pythonocc.
The goal is to build a proof of concept shaper that relies heavily on GeomFill, 
the plan is to create n-sided patches that also have an edge-continuity.
But...

Code below fails to be displayed, the error message is:  TypeError: 
'Handle_Geom_Surface' object is not iterable

I went looking for a way to get this to cast into a shape to no avail.
Help is appreciated.

thx.

wzzl

-- crappy n00b code starts here

def test (event=None):
    pole_number = 3
    poles3d     = TColgp.TColgp_Array1OfPnt(1, pole_number)
    poles3d2     = TColgp.TColgp_Array1OfPnt(1, pole_number)
    poles3d.SetValue(1 , gp.gp_Pnt(0,0,0))
    poles3d.SetValue(2 , gp.gp_Pnt(0,1,0))
    poles3d.SetValue(3 , gp.gp_Pnt(0,1,1))

    acrv=Geom.Geom_BezierCurve(poles3d)
    
    poles3d2.SetValue(1 , gp.gp_Pnt(1,0,0))
    poles3d2.SetValue(2 , gp.gp_Pnt(1,1,0))
    poles3d2.SetValue(3 , gp.gp_Pnt(1,1,1))

    bcrv=Geom.Geom_BezierCurve(poles3d2)
    srf=GeomFill.GeomFill_Surface(acrv.GetHandle(),bcrv.GetHandle())

    display.DisplayColoredShape(srf , 'YELLOW' ) 

_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to